Bug 983545 - After add "force_clean_build" marker and git push, nodejs app can not be accessed
After add "force_clean_build" marker and git push, nodejs app can not be acce...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 08:25 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-07-11 08:25:57 EDT
Description of problem:
After add "force_clean_build" marker and git push, then access nodejs app page, it got 503 error.Check node.log,there are some error messages:

module.js:337
    throw new Error("Cannot find module '" + request + "'");
          ^
Error: Cannot find module 'express'
    at Function._resolveFilename (module.js:337:11)
    at Function._load (module.js:279:25)
    at Module.require (module.js:359:17)
    at require (module.js:375:17)
    at Object.<anonymous> (/var/lib/openshift/704150841864991704875008/app-root/runtime/repo/server.js:3:15)
    at Module._compile (module.js:446:26)
    at Object..js (module.js:464:10)
    at Module.load (module.js:353:31)
    at Function._load (module.js:311:12)
    at Array.0 (module.js:484:10)




Version-Release number of selected component (if applicable):
devenv_3484

How reproducible:
always

Steps to Reproduce:
1.create a nodejs app
2.add force_clean_build and then git push
3.access the app page

Actual results:
Got 503 error

Expected results:
It can be accessed

Additional info:
node.log error messages:



> OpenShift-Sample-App@1.0.0 start /var/lib/openshift/704150841864991704875008/app-root/runtime/repo
> node server.js
module.js:337
    throw new Error("Cannot find module '" + request + "'");
          ^
Error: Cannot find module 'express'
    at Function._resolveFilename (module.js:337:11)
    at Function._load (module.js:279:25)
    at Module.require (module.js:359:17)
    at require (module.js:375:17)
    at Object.<anonymous> (/var/lib/openshift/704150841864991704875008/app-root/runtime/repo/server.js:3:15)
    at Module._compile (module.js:446:26)
    at Object..js (module.js:464:10)
    at Module.load (module.js:353:31)
    at Function._load (module.js:311:12)
    at Array.0 (module.js:484:10)
npm info OpenShift-Sample-App@1.0.0 Failed to exec start script
npm ERR! OpenShift-Sample-App@1.0.0 start: `node server.js`
npm ERR! `sh "-c" "node server.js"` failed with 1
npm ERR!
npm ERR! Failed at the OpenShift-Sample-App@1.0.0 start script.
npm ERR! This is most likely a problem with the OpenShift-Sample-App package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node server.js
npm ERR! You can get their info via:
npm ERR!     npm owner ls OpenShift-Sample-App
npm ERR! There is likely additional logging output above.
npm ERR! System Linux 2.6.32-358.11.1.el6.x86_64
npm ERR! command "node" "/usr/bin/npm" "start" "-d"
npm ERR! cwd /var/lib/openshift/704150841864991704875008/app-root/runtime/repo
npm ERR! node -v v0.6.20
npm ERR! npm -v 1.1.37
npm ERR! code ELIFECYCLE
npm ERR! message OpenShift-Sample-App@1.0.0 start: `node server.js`
npm ERR! message `sh "-c" "node server.js"` failed with 1
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /var/lib/openshift/704150841864991704875008/app-root/runtime/repo/npm-debug.log
npm ERR! not ok code undefined
npm ERR! not ok code 1
Thu Jul 11 2013 07:51:03 GMT-0400 (EDT): Starting application 'ndjs1' ...
npm info it worked if it ends with ok
npm info using npm@1.1.37
npm info using node@v0.6.20
Comment 1 Fotios Lindiakos 2013-07-11 16:04:54 EDT
PR is being merged now: https://github.com/openshift/origin-server/pull/3065
Comment 2 weiwei jiang 2013-07-12 02:49:48 EDT
tested on devenv_3491 and it work well, so thx

Note You need to log in before you can comment on or make changes to this bug.